Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCInsertMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.InsertMessage
                  rice.p2p.past.gc.messaging.GCInsertMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

public class GCInsertMessage
extends InsertMessage

Version:
  $Id: GCInsertMessage.java,v 1.2 2005/03/11 00:58:17 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected long` | `expiration` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.InsertMessage
`content`

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCInsertMessage(int uid, PastContent content, long expiration, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the data to be stored

Method Summary
`long` | `getExpiration()` Method which returns the expiration time
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.InsertMessage
`getContent, receiveException, receiveResult`

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expiration

    protected long expiration

  DESCRIBE THE FIELD

Constructor Detail

### GCInsertMessage

    public GCInsertMessage(int uid,
                           PastContent content,
                           long expiration,
                           NodeHandle source,
                           Id dest)

  Constructor which takes a unique integer Id, as well as the data to be stored

Parameters:
  `uid` - The unique id
  `content` - The content to be inserted
  `expiration` - The expiration time
  `source` - The source address
  `dest` - The destination address

Method Detail

### getExpiration

    public long getExpiration()

  Method which returns the expiration time

  Returns:
    The contained expiration time

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `InsertMessage`
  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.